/*
 * Scale Stack
 *
 * Copyright 2010 Eric Day
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

/**
 * @file
 * @brief option_bad module Definitions
 */

#include "config.h"

#include <scalestack/kernel/module.h>
#include <scalestack/kernel/option.h>

using namespace scalestack;

static void options(kernel::module& module)
{
  module.add_option("option1", "Help1", "BOOL1", "true");
  module.add_option("option1", "Help1", "BOOL1", "true");
}

SCALESTACK_KERNEL_MODULE(options, NULL, NULL, NULL, NULL);
