/*
 * Scale Stack
 *
 * Copyright 2010 Eric Day
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

/**
 * @file
 * @brief Network Local Common Definitions
 */

#include "config.h"

#include <scalestack/network/local/common.h>

using namespace std;

namespace scalestack
{
namespace network
{
namespace local
{

/*
 * Public methods.
 */

common::common()
{
}

common::~common()
{
}

} /* namespace local */
} /* namespace network */
} /* namespace scalestack */
